org.apache.ignite

## Class IgniteClientDisconnectedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.IgniteClientDisconnectedException

All Implemented Interfaces:
  Serializable

    public class IgniteClientDisconnectedException
    extends IgniteException

Exception thrown from Ignite API when client node disconnected from cluster.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgniteClientDisconnectedException(IgniteFuture<?> reconnectFut, String msg)`
`IgniteClientDisconnectedException(IgniteFuture<?> reconnectFut, String msg, @Nullable Throwable cause)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IgniteFuture<?>` `reconnectFuture()`

### Methods inherited from class org.apache.ignite.IgniteException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgniteClientDisconnectedException

    public IgniteClientDisconnectedException(IgniteFuture<?> reconnectFut,
                                             String msg)

Parameters:
  `reconnectFut` - Reconnect future.
  `msg` - Error message.

#### IgniteClientDisconnectedException

    public IgniteClientDisconnectedException(IgniteFuture<?> reconnectFut,
                                             String msg,
                                             @Nullable
                                             @Nullable Throwable cause)

Parameters:
  `reconnectFut` - Reconnect future.
  `msg` - Error message.
  `cause` - Optional nested exception (can be `null`).

### Method Detail

#### reconnectFuture

    public IgniteFuture<?> reconnectFuture()

Returns:
  Future that will be completed when client reconnected.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020